MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_any.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
struct playlist_provider * | playlist_open_any (const char *uri, struct input_stream **is_r)
| Opens a playlist from the specified URI, which can be either an absolute remote URI (with a scheme) or a relative path to the music orplaylist directory.

## Function Documentation

struct playlist_provider* playlist_open_any | ( | const char * | uri,
|  | struct input_stream ** | is_r
| ) |  | `[read]`

Opens a playlist from the specified URI, which can be either an absolute remote URI (with a scheme) or a relative path to the music orplaylist directory.

Parameters:

  is_r | on success, an input_stream object may be returned here, which must be closed after the playlist_provider object is freed